petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLimiterRegister

Adds a new PetscLimiter implementation

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscLimiterRegister(const char sname[], PetscErrorCode (*function)(PetscLimiter))

Not Collective Many br

### Input Parameters

| name | - The name of a new user-defined creation routine Many br
| create_func | - The creation routine itself Many br

### Notes

PetscLimiterRegister() may be called multiple times to add several user-defined PetscLimiters Many br

### Sample usage

        PetscLimiterRegister("my_lim", MyPetscLimiterCreate);

Many br

Then, your PetscLimiter type can be chosen with the procedural interface via Many br

        PetscLimiterCreate(MPI_Comm, PetscLimiter *);
        PetscLimiterSetType(PetscLimiter, "my_lim");

Many bror at runtime via the option Many br

        -petsclimiter_type my_lim

Many br

Many br

### Keywords

PetscLimiter, register

### See Also

PetscLimiterRegisterAll(), PetscLimiterRegisterDestroy()

Level:advanced
Location:src/dm/dt/interface/dtfv.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages